﻿@model DpcManagement.Models.Task;

<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content">
        <!-- BEGIN PAGE HEADER-->
        <!-- BEGIN PAGE BAR -->
        <div class="page-bar">
            <ul class="page-breadcrumb">
                <li>
                    <a href="#">Task Confirm</a>
                    <i class="fa fa-circle"></i>
                </li>
                <li>
                    <span>View</span>
                </li>
            </ul>
            <div class="page-toolbar">
                <div id="dashboard-report-range" class="pull-right tooltips btn btn-sm"
                     data-container="body" data-placement="bottom"
                     data-original-title="Change dashboard date range">
                    <i class="icon-calendar"></i>&nbsp;
                    <span class="thin uppercase hidden-xs"></span>&nbsp;
                    <i class="fa fa-angle-down"></i>
                </div>
            </div>
        </div>
        <!-- END PAGE BAR -->
        <!-- END PAGE HEADER-->
        <!-- BEGIN row 1-->
        <div class="row">
            <div class="col-md-12">
                <div class="tabbable-line">
                    <div class="tab-content">
                        <div class="tab-pane active" id="tab_1_1">
                            <div class="row">
                                <div class="col-md-10">
                                    <div class="portlet light tasks-widget bordered">
                                        <button id="zoomIn">zoom In</button>
                                        <button id="zoomOut">zoom Out</button>
                                        <button id="resetZoom">Reset Zoom</button>

                                        <span id="ImageName" class="caption-helper" style="float:right"></span>
                                        <div class="wrapper" id="canvasBox" style="width:100%;max-height: 510px;overflow: scroll;">
                                            <canvas id="canvas" width="800" height="600" style="border: 2px solid black"></canvas>
                                        </div>

                                        <div style="padding: 3px;margin: 0;background-color: #f5f5f5;border-top: 1px solid #e7ecf1;">
                                            <div class="row">
                                                <div class="col-md-offset-3 col-md-4">
                                                    <a id="backward" href="javascript:Prev()" class="btn btn-sm yellow">
                                                        <i class="fa fa-step-backward"></i>
                                                        Prev
                                                    </a>
                                                    <a id="forward" href="javascript:Next();" class="btn btn-sm green">
                                                        Next
                                                        <i class="fa fa-step-forward"></i>
                                                    </a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                                <div class="col-md-2">
                                    <div class="portlet light tasks-widget bordered" style="max-height:600px;">
                                        <div id="table-list-image" class="portlet-body table-both-scroll dataTables_scrollBody" style="position: relative; overflow: auto; width: 100%; max-height: 400px;">
                                            <table id="TableImage" class="table table-striped table-bordered table-hover order-column">
                                                <thead>
                                                    <tr>
                                                        <th> ID </th>
                                                        <th> Image Name </th>
                                                        <th> Image Path </th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                </tbody>
                                            </table>
                                        </div>

                                    </div>
                                    <div class="portlet light tasks-widget bordered" style="height:200px;">
                                        <div class="form-group">
                                            <label class="control-label">Note</label>
                                            <textarea id="note" name="note" class="form-control" rows="3" disabled></textarea>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
    <!-- END CONTENT BODY -->
</div>

@section Scripts {
    <script type="text/javascript">

        var Task = @Html.Raw(Json.Serialize(Model));
        var listImage = Task.imageTask;
        var content = '';
        $.each(listImage, function (i, item) {
            var image = item.image;
            content += '<tr><td>' + image.imageId + '</td><td>' + image.imageName + '</td><td>' + image.imagePath + '</td></tr>';
        });
        $('#table-list-image tbody').html(content);

    </script>
    <script src="~/js/viewtagging.js" type="text/javascript">

    </script>
}